package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class MetadataPropertyDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(MetadataPropertyDTO.class);
        MetadataPropertyDTO metadataPropertyDTO1 = new MetadataPropertyDTO();
        metadataPropertyDTO1.setId(1L);
        MetadataPropertyDTO metadataPropertyDTO2 = new MetadataPropertyDTO();
        assertThat(metadataPropertyDTO1).isNotEqualTo(metadataPropertyDTO2);
        metadataPropertyDTO2.setId(metadataPropertyDTO1.getId());
        assertThat(metadataPropertyDTO1).isEqualTo(metadataPropertyDTO2);
        metadataPropertyDTO2.setId(2L);
        assertThat(metadataPropertyDTO1).isNotEqualTo(metadataPropertyDTO2);
        metadataPropertyDTO1.setId(null);
        assertThat(metadataPropertyDTO1).isNotEqualTo(metadataPropertyDTO2);
    }
}
